#include <bits/stdc++.h>
using namespace std;
ifstream f1("BAI3_17.INP");
ofstream f2("BAI3_17.OUT");
int main()
{
    int n,a[1000],max,min,i;
    f1>>n;
    for(i=1;i<=n;i++)
    {
        f1>>a[i];
    }
    max=a[1];
    for(i=1;i<=n;i++)
    {
        if(max<a[i]){max=a[i];}
    }
    min=a[1];
    for(i=1;i<=n;i++)
    {
        if(min>a[i]){min=a[i];}
    }
    f2<<max+min;
    return 0;
}
